ab92d3
From 21b746743c146c94235c93611519db6d47c8c0c1 Mon Sep 17 00:00:00 2001
ab92d3
From: Lukas Nykryn <lnykryn@redhat.com>
ab92d3
Date: Thu, 18 Feb 2021 11:01:31 +0100
ab92d3
Subject: [PATCH] fix(fcoe): rd.nofcoe=0 should disable fcoe
ab92d3
ab92d3
8446c8f9 Changed the default behavior, but also flipped meaning of 0/1.
ab92d3
Right now rd.nofcoe=0 enables fcoe, which is the opposite what manpage
ab92d3
says.
ab92d3
ab92d3
(cherry picked from commit 805b46c2a81e04d69fc3af912942568516d05ee7)
ab92d3
ab92d3
Resolves: #1929201
ab92d3
---
ab92d3
 modules.d/95fcoe/lldpad.sh     | 2 +-
ab92d3
 modules.d/95fcoe/parse-fcoe.sh | 2 +-
ab92d3
 2 files changed, 2 insertions(+), 2 deletions(-)
ab92d3
ab92d3
diff --git a/modules.d/95fcoe/lldpad.sh b/modules.d/95fcoe/lldpad.sh
ab92d3
index 7faa2e19..6b1844b0 100755
ab92d3
--- a/modules.d/95fcoe/lldpad.sh
ab92d3
+++ b/modules.d/95fcoe/lldpad.sh
ab92d3
@@ -1,6 +1,6 @@
ab92d3
 #!/bin/bash
ab92d3
 
ab92d3
-if getargbool 0 rd.nofcoe ; then
ab92d3
+if ! getargbool 1 rd.nofcoe ; then
ab92d3
 	info "rd.nofcoe=0: skipping lldpad activation"
ab92d3
 	return 0
ab92d3
 fi
ab92d3
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
ab92d3
index 86f4331e..5553602f 100755
ab92d3
--- a/modules.d/95fcoe/parse-fcoe.sh
ab92d3
+++ b/modules.d/95fcoe/parse-fcoe.sh
ab92d3
@@ -13,7 +13,7 @@
ab92d3
 # fcoe=eth0:nodcb:vn2vn
ab92d3
 # fcoe=4a:3f:4c:04:f8:d7:nodcb:fabric
ab92d3
 
ab92d3
-if getargbool 0 rd.nofcoe ; then
ab92d3
+if ! getargbool 1 rd.nofcoe ; then
ab92d3
 	info "rd.nofcoe=0: skipping fcoe"
ab92d3
 	return 0
ab92d3
 fi
ab92d3